Subject: Re: [PATCH V10 00/28] Add new powerpc specific ELF core notes

From: Edjunior Barbosa Machado <[email-masked]>
Date: Tue, 26 Apr 2016 10:23:26 -0300

On 04/13/2016 02:36 AM, Michael Ellerman wrote:
> On Mon, 2016-04-11 at 03:32 -0300, Edjunior Barbosa Machado wrote:
>> Hi Michael, Anshuman,
>>
>> I've managed to implement the GDB support for the new regsets and test
>> on Power8 (BE and LE).
> 
> Great work thanks!
> 
>> The following is an example of GDB 'info
>> registers all' partial output showing the new registers when inside a
>> suspended transaction on Power8 LE using this patchset. Please let me
>> know if you need any additional information or tests from GDB side.
> 
> What's the plan for merging the gdb changes?

Thanks for the feedback, Michael. I intend to submit the patches to the
gdb mailing list for review right after the kernel patchset is checked in.

> 
>> (gdb) info registers all
>> ...
>> dscr           0x0      0
>> ppr            0xc000000000000  3377699720527872
>> tar            0x0      0
>> ebbrr          <unavailable>
>> ebbhr          <unavailable>
>> bescr          <unavailable>
>> siar           <unavailable>
>> sdar           <unavailable>
>> sier           <unavailable>
>> mmcr2          <unavailable>
>> mmcr0          <unavailable>
>> tfhar          0x10002b30       268446512
>> texasr         0x110000098000001        76561196215435265
>> tfiar          0x10002ad9       268446425
>> cr0            0x10002b2c       268446508
> 
> Using 'c' as the prefix is a bit confusing here, as 'cr0' is usually used to
> refer to the CR0 field of CR.
> 
> Speaking of which, I don't see CR here? Or is it somewhere above in the ... ?
> 
> Maybe the prefix could be 'c_' ?
> 
> Or do other arches already use 'c' as the prefix?

Good point, I hadn't thought about the possible confusion with CR
register (CR doesn't appear in the excerpt because it is just a partial
output of 'info registers all', reduced to the new registers only). As
far as I am aware, we don't have other arches that use 'c' as prefix
(Are there other arches that provide checkpointed registers? s390 gdb
uses 't' as prefix, but for the transactional regs, which would be the
"opposite" of our checkpointed ones here, if I'm not mistaken), but this
can be changed with no difficult in gdb code.

Thanks and regards,
--
Edjunior Barbosa Machado